Loading...
Searching...
No Matches
HMM Class Reference
Collaboration diagram for HMM:
[legend]

## Public Member Functions

| HMM (int n, int v)
void | init (int n_states, int vsize, int n_streams)
void | clear ()
EST_read_status | load (EST_String file)
EST_read_status | load_portion (EST_TokenStream &ts, int v_size, int n_streams)
EST_write_status | save (EST_String file)
HMM & | operator= (const HMM &a)
void | balls (void)

## Public Attributes

EST_String | name
EST_String | covkind
EST_String | durkind
EST_String | sampkind
EST_TVector< HMM_State > | state
EST_FMatrix | trans
int | num_streams
int | vecsize

## Detailed Description

Definition at line 82 of file EST_HMM.h.

## Member Data Documentation

## name

EST_String HMM::name

Definition at line 90 of file EST_HMM.h.

## covkind

EST_String HMM::covkind

Definition at line 94 of file EST_HMM.h.

## durkind

EST_String HMM::durkind

Definition at line 95 of file EST_HMM.h.

## sampkind

EST_String HMM::sampkind

Definition at line 96 of file EST_HMM.h.

## state

EST_TVector<HMM_State> HMM::state

Definition at line 98 of file EST_HMM.h.

## trans

EST_FMatrix HMM::trans

Definition at line 99 of file EST_HMM.h.

## num_streams

int HMM::num_streams

Definition at line 101 of file EST_HMM.h.

## vecsize

int HMM::vecsize

Definition at line 102 of file EST_HMM.h.

The documentation for this class was generated from the following file:

- include/EST_HMM.h